Hallo, Gast! (Registrieren)

Letzte Ankündigung: Sicherheitsupdate: MyBB 1.8.26 veröffentlicht (10.03.21)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
AutoMedia
Das ist das Jamps Theme https://community.mybb.com/mods.php?action=view&pid=465

Na ja im default sieht es auch nicht anders aus Big Grin 
Code:
[Mitteilungsdetails anzeigen/ausblenden] ReferenceError: PopupMenu is not defined[Weitere Informationen] Thread-Fisch-Fang-Profi-Liga-1-Staffel:508:3
<anonym>
https://angel-juenger.de/Thread-Fisch-Fang-Profi-Liga-1-Staffel:508:3
[Mitteilungsdetails anzeigen/ausblenden] TypeError: $(...).editable is not a function[Weitere Informationen] thread.js:186:4
quickEdit/<
https://angel-juenger.de/jscripts/thread.js:186:4
each
https://angel-juenger.de/jscripts/jquery.js:2:2879
each
https://angel-juenger.de/jscripts/jquery.js:2:844
quickEdit
https://angel-juenger.de/jscripts/thread.js:180:3
init/<
https://angel-juenger.de/jscripts/thread.js:5:4
i
https://angel-juenger.de/jscripts/jquery.js:2:27444
fireWith
https://angel-juenger.de/jscripts/jquery.js:2:28213
ready
https://angel-juenger.de/jscripts/jquery.js:2:30004
K
https://angel-juenger.de/jscripts/jquery.js:2:30366
Zitieren
Hallo Gemeinde,
gibt es eine Version, die mit der aktuellen Version 1.8.19 funktioniert?
Ich bekomme die Meldung das Auto Media nicht kompatibel ist...
Muss ich noch Dateien anpassen?
Lieben Gruß und danke
Zitieren
Die 3.1.10 und 4er Version laufen auch in mybb 1.8.19 habe die gestern alle getestet.
Zitieren
(23.10.2018, 23:32)lenox schrieb: Das ist das Jamps Theme https://community.mybb.com/mods.php?action=view&pid=465

Na ja im default sieht es auch nicht anders aus Big Grin 
Code:
[Mitteilungsdetails anzeigen/ausblenden] ReferenceError: PopupMenu is not defined[Weitere Informationen] Thread-Fisch-Fang-Profi-Liga-1-Staffel:508:3
<anonym>
https://angel-juenger.de/Thread-Fisch-Fang-Profi-Liga-1-Staffel:508:3
[Mitteilungsdetails anzeigen/ausblenden] TypeError: $(...).editable is not a function[Weitere Informationen] thread.js:186:4
quickEdit/<
https://angel-juenger.de/jscripts/thread.js:186:4
each
https://angel-juenger.de/jscripts/jquery.js:2:2879
each
https://angel-juenger.de/jscripts/jquery.js:2:844
quickEdit
https://angel-juenger.de/jscripts/thread.js:180:3
init/<
https://angel-juenger.de/jscripts/thread.js:5:4
i
https://angel-juenger.de/jscripts/jquery.js:2:27444
fireWith
https://angel-juenger.de/jscripts/jquery.js:2:28213
ready
https://angel-juenger.de/jscripts/jquery.js:2:30004
K
https://angel-juenger.de/jscripts/jquery.js:2:30366

Hattest du die threads.js vorher aus dem xthreads-Showthread Template entfernt? Die müsste ungefähr so aussehen:
Code:
<script type="text/javascript" src="jscripts/thread.js?ver=1400"></script>
Einfach mal die Zeile zum Testen löschen.

Die meisten Templates für xThreads wurden noch für MyBB 1.4 geschrieben, solange man kein Javascript benötigt, funktionieren sie heute noch ganz gut, aber für fehlerfreies JS müssen sie angepasst werden für die aktuellen MyBB-Versionen.
Zitieren
Danke dir es lag an der threads.js 
Code:
<script type="text/javascript" src="jscripts/thread.js?ver=1400"></script>

Kann man den Code dann theoretisch in allen showthread templates von x thread löschen oder muss der Code angepasst werden?

Edit: Mir ist gerade noch aufgefallen das wenn ich in den plugin Einstellungen max Höhe und Breite einstelle die Videofenster sich von der Größe her nicht ändern, auch in normalen Foren ohne x thread passiert nix.
Zitieren
(24.10.2018, 12:55)lenox schrieb: Kann man den Code dann theoretisch in allen showthread templates von x thread löschen oder muss der Code angepasst werden?

Das kommt darauf an, was für Funktionen du in den x-Threads-Bereichen benötigst. Wenn du da zB. Quick-Edit oder Multiquote machen willst, müsstest du es anpassen, sonst könnte eher wegfallen.

(24.10.2018, 12:55)lenox schrieb: Edit: Mir ist gerade noch aufgefallen das wenn ich in den plugin Einstellungen max Höhe und Breite einstelle die Videofenster sich von der Größe her nicht ändern, auch in normalen Foren ohne x thread passiert nix.

Da kann ich nicht sagen, woran es in diesem Fall liegt, die Größenanpassung von AutoMedia ist noch ziemlich unzuverlässig, das hatte ich lange vor mir her geschoben.
Aber jetzt habe ich sie für Version 4.1 neu angepasst und für alle Videoseiten vereinheitlicht, auch damit endlich alle Videos die max. Größe beachten und auch responsiv eingebunden sind.

Wenn ich etwas mehr Zeit hätte, wäre die neue Version bereits fertig, aber ich hoffe, es dauert nicht mehr sehr lange.
Zitieren
Alles klar, soweit erst einmal herzlichen Dank für deine Hilfe, dann warte ich mal das nächste Update ab. Hauptsache es werden wieder Videos angezeigt Wink
Zitieren
AutoMedia 4.1.0 Changelog:

  1. Bugfix für: Youtube Playlists blockieren Einbetten anderer YT Videos
  2. Hinzugefügt: Youtube Playlists
  3. Hinzugefügt: giphy.com, gyfcat.com, Soundcloud, Spotify Tracks + Albums, Pastebin, imgur.com, Ted Talks, Pinterest
  4. Veoh durch Mixer ersetzt
  5. Hinzugefügt: Link-Vorschau
  6. Responsives Einbetten verbessert
  7. 1 Template (automedia_footer) geändert
  8. Stylesheet automedia.css aktualisiert
  9. Sprachdateien aktualisiert


Upgrade von Version 4.0.*:

  1. Den kompletten Inhalt des Ordners "Upload" in das Forenverzeichnis hochladen, alle älteren Plugindateien überschreiben.
  2. Im ACP unter Konfiguration -> Plugins das AutoMedia deaktivieren und anschließend wieder aktivieren.
  3. Im ACP unter Templates & Style -> Templates -> Finde aktualisierte Templates ausführen. Falls automedia-Templates aufgeführt werden, diese zurücksetzen (und ggf. die eigenen Änderungen wieder einfügen.)
  4. Im ACP unter Templates & Style -> Themes -> in den installierten Themes überprüfen, ob automedia.css die aktuellen Klassen enthält (Der aktuelle CSS-Code zum Vergleich ist zu finden in inc/plugins/automedia/automedia_install.php, Zeilen 783-847).
  5. Falls das aktualisierte Stylesheet noch nicht geladen wird: Browsercache erneuern.
Zitieren
AutoMedia 4.1.1 Changelog:

  1. JavaScript aktualisiert für jQuery 3.*-Kompatibilität
  2. JS-Code bereinigt
  3. Grafiken durch Unicode-Symbole ersetzt
  4. 5 Templates (automedia_codebuttons, automedia_codebuttons_private, automedia_codebuttons_footer, automedia_ucpstatus_down, automedia_ucpstatus_up) geändert
  5. Stylesheet automedia.css aktualisiert
  6. Sprachdateien aktualisiert

Upgrade von Version 4.*:
  1. Den kompletten Inhalt des Ordners "Upload" in das Forenverzeichnis hochladen, alle älteren Plugindateien überschreiben.
  2. Im ACP unter Konfiguration -> Plugins das AutoMedia deaktivieren und anschließend wieder aktivieren.
  3. Im ACP unter Templates & Style -> Templates -> Finde aktualisierte Templates ausführen. Falls automedia-Templates aufgeführt werden, diese zurücksetzen (und ggf. die eigenen Änderungen wieder einfügen.)
  4. Im ACP unter Templates & Style -> Themes -> in den installierten Themes überprüfen, ob automedia.css die aktuellen Klassen enthält (Der aktuelle CSS-Code zum Vergleich ist zu finden in inc/plugins/automedia/automedia_install.php, Zeilen 783-847).
  5. Falls das aktualisierte Stylesheet noch nicht geladen wird: Browsercache erneuern.
Zitieren
habe die aktuelle Version von Automedia installiert, hochgeladene MP3, MP4 werden nicht mehr abgespielt, der Player wird zwar angezeigt, aber wenn man auf den Player klickt, kommt startet dieser nicht. Unter der alten Version lief alles wunderbar.

hier der Screenshot von der Config. Wo liegt der Fehler?

   
Zitieren


Möglicherweise verwandte Themen…
Thema Verfasser Antworten Ansichten Letzter Beitrag
  AutoMedia MyBB.de Bot 0 561 07.09.2014, 14:22
Letzter Beitrag: MyBB.de Bot
  AutoMedia MyBB.de Bot 0 2.152 03.09.2009, 07:33
Letzter Beitrag: MyBB.de Bot